###STATISTICAL ANALYSES FOR THE ADD-ONE PAPER, 2018. CHAD WILLIAMS###

############################################################################

###SETTING UP###

############################################################################

#Cohen's D requires following library
library(effsize)

#Set directory to data file
setwd("~/Experiments/2017_EEG_AddOne_Williams/Plots and Analyses")

#Read data
data = read.table('AddOne_StatisticalData.txt',header = TRUE)
data2 = read.table('AddOne_PlottingData.txt',header = TRUE)

############################################################################

###CONDUCTING STATISTICS###

############################################################################

#TTests
AccuracyTTest = t.test(data$AccAO, data$AccAZ, paired=TRUE)
PupilTTest = t.test(data$PAO, data$PAZ, paired=TRUE)
ThetaTTest = t.test(data$TAO, data$TAZ, paired=TRUE)
AlphaTTest = t.test(data$AAO, data$AAZ, paired=TRUE)

#Cohen's D
AccuracyCohenD = cohen.d(data$AccAO,data$AccAZ,paired = TRUE)
PupilCohenD = cohen.d(data$PAO,data$PAZ,paired = TRUE)
ThetaCohenD = cohen.d(data$TAO,data$TAZ,paired = TRUE)
AlphaCohenD = cohen.d(data$AAO,data$AAZ,paired = TRUE)

#Correlations
PupilThetaCorrelations = cor.test(data2$AD,data2$TAD)
PupilAlphaCorrelations = cor.test(data2$AD,data2$AAD)
ThetaAlphaCorrelations = cor.test(data2$TAD,data2$AAD)
############################################################################

###REPORTING STATISTICS###

############################################################################

print("Accuracy Results")
AccuracyTTest
AccuracyCohenD

print("Pupil Results")
PupilTTest
PupilCohenD

print("Theta Results")
ThetaTTest
ThetaCohenD

print("Alpha Results")
AlphaTTest
AlphaCohenD

print("Correlation Results")
PupilThetaCorrelations
PupilAlphaCorrelations
ThetaAlphaCorrelations

