#ERP Waveform plots created by Chad C. Williams from the University of Victoria's Neuroeconomics Laboratory, 2016.
library(reshape2)
library(ggplot2)
library(grid)
library(gridExtra)
library(png)
setwd("~/Experiments/2017_EEG_AddOne_Williams/Plots and Analyses")

Condition1 = "Add-Zero"
Condition2 = "Add-One"
linetypecw = c("solid","solid")

heatcols <- heat.colors(8,alpha=.5)

bgfill1 = heatcols[8]
bgfill2 = heatcols[4]
bgfill3 = heatcols[7]
bgfill4 = heatcols[5]
bgfill5 =  heatcols[3]
bgfill6 = heatcols[4]
bgfill7 = heatcols[7]
bgfill8 = heatcols[4]
bgfill9 = heatcols[8]
bgalpha = .3

###################################################################################################################

data = read.table("AddOne_PlottingData.txt", header = TRUE)
data2 = read.table("AddOne_PlottingData_Fig3.txt", header = TRUE)

###################################################################################################################

###OVER TIME###

###################################################################################################################

#Pupil Diameter Conditional
dataCW = data[,c(1,3,7)]
colnames(dataCW) = c("Seconds","ADD-ONE","ADD-ZERO")
dataCI = data[,c(1,5,6,9,10)]
dataCI = rbind(dataCI,dataCI)
FreqCW = melt(dataCW, id = "Seconds")
ylabcw1 = "STANDARDIZED PUPIL AREA"
ylimcw1 = range(-2.5,5)
colourscw1 = c("black","black")
linetypecw = c("solid","dashed")
ylabels = c('Wait', 'Wait','Instr','Instr','Instr','Wait','Wait','Wait','Hear','Hear','Hear','Hear','Wait','Recall','Recall','Recall','Recall','Wait','Recall','Recall','Recall','Recall','Wait','Wait','Wait','Wait');
ylabels = seq(2, 26, by=2)

#Plot1 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+annotate("rect",xmin=1,xmax=2.5,ymin=-Inf,ymax=Inf,alpha = .1,fill=bgfill1,colour = NA )+annotate("rect",xmin=2.5,xmax=5.5,ymin=-Inf,ymax=Inf,fill=bgfill2,alpha = bgalpha,colour = NA )+annotate("rect",xmin=5.5,xmax=8.5,ymin=-Inf,ymax=Inf,fill=bgfill3,alpha = bgalpha,colour = NA )+annotate("rect",xmin=8.5,xmax=12.5,ymin=-Inf,ymax=Inf,fill=bgfill4,alpha = bgalpha,colour = NA )+annotate("rect",xmin=12.5,xmax=13.5,ymin=-Inf,ymax=Inf,fill=bgfill5,alpha = bgalpha,colour = NA )+annotate("rect",xmin=13.5,xmax=17.5,ymin=-Inf,ymax=Inf,fill=bgfill6,alpha = bgalpha,colour = NA )+annotate("rect",xmin=17.5,xmax=18.5,ymin=-Inf,ymax=Inf,fill=bgfill7,alpha = bgalpha,colour = NA )+annotate("rect",xmin=18.5,xmax=22.5,ymin=-Inf,ymax=Inf,fill=bgfill8,alpha = bgalpha,colour = NA)+annotate("rect",xmin=22.5,xmax=26,ymin=-Inf,ymax=Inf,fill=bgfill9,alpha = bgalpha,colour = NA)+geom_freqpoly(stat = "identity", size= 1)+scale_color_manual(values = colourscw1)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw1)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw1)+theme_bw()+theme(axis.text.x=element_text(angle=45,size=12,hjust=1.1,vjust=.9))+theme(legend.position = c(0.85, 0.85))+ theme(legend.text=element_text(size=18))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=12))+theme(axis.title = element_text(size=12))+theme(plot.title = element_text(size = 20))+theme(plot.margin=unit(c(.5,.5,.5,.5),"cm"))+theme(axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA, size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5))
Plot1 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+geom_freqpoly(stat = "identity", size= .5)+geom_point(size =.75)+annotate("text", x = 4, y = -2.2, size = 2, label = "TELL")+annotate("text", x = 7, y = -2.2, size = 2, label = "WAIT")+annotate("text", x = 10.5, y = -2.2, size = 2, label = "LISTEN")+annotate("text", x = 15.5, y = -2.2, size = 2, label = "SAY")+annotate("text", x = 20.5, y = -2.2, size = 2, label = "SAY")+geom_vline(xintercept=2.5, linetype="solid",size = .25)+geom_vline(xintercept=5.5,  linetype="solid",size = .25)+geom_vline(xintercept=8.5,  linetype="solid",size = .25)+geom_vline(xintercept=12.5,  linetype="solid",size = .25)+geom_vline(xintercept=13.5,  linetype="solid",size = .25)+geom_vline(xintercept=17.5,  linetype="solid",size = .25)+geom_vline(xintercept=18.5,  linetype="solid",size = .25)+geom_vline(xintercept=22.5,  linetype="solid",size = .25)+scale_color_manual(values = colourscw1)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw1)+scale_x_continuous(breaks=seq(1, 25, by=2),labels=ylabels)+ylab(ylabcw1)+xlab("TIME (SECONDS)")+theme_bw()+theme(axis.text.x=element_text(angle=0,size=6,hjust=.5,vjust=0))+theme(legend.position = c(0.2, 0.85))+ theme(legend.text=element_text(size=8))+ theme(legend.key.size = unit(.4, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=6))+theme(axis.title = element_text(size=8))+theme(plot.title = element_text(size = 4,hjust=-.1))+theme(plot.margin=unit(c(.74,.1,.78,.1),"cm"))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(axis.title.x=element_text(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill="white", size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25))

#Pupil Diameter Difference
dataCW = data[,c(1,11)]
dataCI1 = data[,c(1,12,13)]
colnames(dataCI1) = c("Seconds","AOMax","AOMin")
FreqCW = melt(dataCW, id = "Seconds")
ylabcw1 = "Standardized Pupil Diameter"
ylimcw1 = range(-2.5,4.5)
colourscw = c("black")
linetypecw = c("solid","solid")
ylabels = c('Wait', 'Wait','Instr','Instr','Instr','Wait','Wait','Wait','Hear','Hear','Hear','Hear','Wait','Recall','Recall','Recall','Recall','Wait','Recall','Recall','Recall','Recall','Wait','Wait','Wait','Wait');

#Plot2 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+annotate("rect",xmin=1,xmax=2.5,ymin=-Inf,ymax=Inf,alpha = .1,fill=bgfill1,colour = NA )+annotate("rect",xmin=2.5,xmax=5.5,ymin=-Inf,ymax=Inf,fill=bgfill2,alpha = bgalpha,colour = NA )+annotate("rect",xmin=5.5,xmax=8.5,ymin=-Inf,ymax=Inf,fill=bgfill3,alpha = bgalpha,colour = NA )+annotate("rect",xmin=8.5,xmax=12.5,ymin=-Inf,ymax=Inf,fill=bgfill4,alpha = bgalpha,colour = NA )+annotate("rect",xmin=12.5,xmax=13.5,ymin=-Inf,ymax=Inf,fill=bgfill5,alpha = bgalpha,colour = NA )+annotate("rect",xmin=13.5,xmax=17.5,ymin=-Inf,ymax=Inf,fill=bgfill6,alpha = bgalpha,colour = NA )+annotate("rect",xmin=17.5,xmax=18.5,ymin=-Inf,ymax=Inf,fill=bgfill7,alpha = bgalpha,colour = NA )+annotate("rect",xmin=18.5,xmax=22.5,ymin=-Inf,ymax=Inf,fill=bgfill8,alpha = bgalpha,colour = NA)+annotate("rect",xmin=22.5,xmax=26,ymin=-Inf,ymax=Inf,fill=bgfill9,alpha = bgalpha,colour = NA)+geom_ribbon(aes(x=dataCI1$Seconds, ymin=dataCI1$AOMin, ymax=dataCI1$AOMax, fill = I("gray33"), colour=NA),alpha=0.2)+geom_freqpoly(stat = "identity", size= 1)+scale_color_manual(values = colourscw)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw1)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw1)+geom_hline(yintercept=0, linetype="dotted")+theme_bw()+theme(axis.text.x=element_text(angle=45,size=12,hjust=1.1,vjust=.9))+theme(legend.position = "none")+ theme(legend.text=element_text(size=12))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=12))+theme(axis.title = element_text(size=12))+theme(plot.title = element_text(size = 20))+theme(plot.margin=unit(c(.5,.5,.5,.5),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())
#Plot2 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+geom_ribbon(aes(x=dataCI1$Seconds, ymin=dataCI1$AOMin, ymax=dataCI1$AOMax, fill = I("gray33"), colour=NA),alpha=0.2)+geom_freqpoly(stat = "identity", size= .5)+scale_color_manual(values = colourscw)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw1)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw1)+geom_hline(yintercept=0, linetype="dotted")+theme_bw()+theme(axis.text.x=element_text(angle=45,size=6,hjust=1.1,vjust=1.25))+theme(legend.position = "none")+ theme(legend.text=element_text(size=4))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=4))+theme(axis.title = element_text(size=4))+theme(plot.title = element_text(size = 4,hjust=-.1))+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25))+ ggtitle('B')

temp_Plot2B = readPNG('Figure 1B. Kahneman Pupil.png')
tPlot2B = rasterGrob(temp_Plot2B)
Plot2B = qplot(1:10, 1:10, geom="blank")+annotation_custom(tPlot2B, xmin=-Inf, xmax=Inf, ymin=-Inf, ymax=Inf)+geom_point(size = NA)+scale_x_continuous(expand = c(0,0))+scale_y_continuous(expand = c(0,0))+coord_cartesian(xlim = range(1,10),ylim = range(1,10))+theme(axis.title.x=element_blank(),axis.title.y=element_blank(),axis.text.x=element_blank(),axis.text.y=element_blank(),axis.ticks.x=element_blank(),axis.ticks.y=element_blank())+theme(axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))


# 
# #Theta Diameter Conditional
# 
# dataCW = data[,c(1,20,16)]
# colnames(dataCW) = c("Seconds","Add-One","Add-Zero")
# dataCI = data[,c(1,18,19,22,23)]
# colnames(dataCI) = c("Seconds","AOMax","AOMin","AZMax","AZMin")
# dataCI = rbind(dataCI,dataCI)
# FreqCW = melt(dataCW, id = "Seconds")
# ylabcw2 = "Standardized Theta Power"
# ylimcw = range(-1,1)
# colourscw2 = c("red3","blue3")
# ylabels = c('Wait', 'Wait','Instr','Instr','Instr','Wait','Wait','Wait','Hear','Hear','Hear','Hear','Wait','Recall','Recall','Recall','Recall','Wait','Recall','Recall','Recall','Recall','Wait','Wait','Wait','Wait');
# 
# #Plot3 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+annotate("rect",xmin=1,xmax=2.5,ymin=-Inf,ymax=Inf,alpha = .1,fill=bgfill1,colour = NA )+annotate("rect",xmin=2.5,xmax=5.5,ymin=-Inf,ymax=Inf,fill=bgfill2,alpha = bgalpha,colour = NA )+annotate("rect",xmin=5.5,xmax=8.5,ymin=-Inf,ymax=Inf,fill=bgfill3,alpha = bgalpha,colour = NA )+annotate("rect",xmin=8.5,xmax=12.5,ymin=-Inf,ymax=Inf,fill=bgfill4,alpha = bgalpha,colour = NA )+annotate("rect",xmin=12.5,xmax=13.5,ymin=-Inf,ymax=Inf,fill=bgfill5,alpha = bgalpha,colour = NA )+annotate("rect",xmin=13.5,xmax=17.5,ymin=-Inf,ymax=Inf,fill=bgfill6,alpha = bgalpha,colour = NA )+annotate("rect",xmin=17.5,xmax=18.5,ymin=-Inf,ymax=Inf,fill=bgfill7,alpha = bgalpha,colour = NA )+annotate("rect",xmin=18.5,xmax=22.5,ymin=-Inf,ymax=Inf,fill=bgfill8,alpha = bgalpha,colour = NA)+annotate("rect",xmin=22.5,xmax=26,ymin=-Inf,ymax=Inf,fill=bgfill9,alpha = bgalpha,colour = NA)+geom_freqpoly(stat = "identity", size= 1)+scale_color_manual(values = colourscw2)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw2)+theme_bw()+theme(axis.text.x=element_text(angle=45,size=12,hjust=1.1,vjust=.9))+theme(legend.position = c(0.85, 0.85))+ theme(legend.text=element_text(size=18))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=12))+theme(axis.title = element_text(size=12))+theme(plot.title = element_text(size = 20))+theme(plot.margin=unit(c(.5,.5,.5,.5),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA,size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5))
# Plot3 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+geom_freqpoly(stat = "identity", size= .5)+scale_color_manual(values = colourscw2)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw2)+theme_bw()+theme(axis.text.x=element_text(angle=45,size=6,hjust=1.1,vjust=1.25))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(legend.position = c(0.15, 0.15))+ theme(legend.text=element_text(size=4))+ theme(legend.key.size = unit(.2, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=4))+theme(axis.title = element_text(size=4))+theme(plot.title = element_text(size = 6,hjust=-.1))+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA,size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25))+ggtitle('A')
# 
# #Theta Diameter Difference
# dataCW = data[,c(1,24)]
# dataCI2 = data[,c(1,26,27)]
# colnames(dataCI2) = c("Seconds","AOMax","AOMin")
# FreqCW = melt(dataCW, id = "Seconds")
# ylabcw2 = "Standardized Pupil Diameter"
# ylimcw = range(-1,1)
# colourscw = c("black")
# ylabels = c('Wait', 'Wait','Instr','Instr','Instr','Wait','Wait','Wait','Hear','Hear','Hear','Hear','Wait','Recall','Recall','Recall','Recall','Wait','Recall','Recall','Recall','Recall','Wait','Wait','Wait','Wait');
# 
# #Plot4 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+annotate("rect",xmin=1,xmax=2.5,ymin=-Inf,ymax=Inf,alpha = .1,fill=bgfill1,colour = NA )+annotate("rect",xmin=2.5,xmax=5.5,ymin=-Inf,ymax=Inf,fill=bgfill2,alpha = bgalpha,colour = NA )+annotate("rect",xmin=5.5,xmax=8.5,ymin=-Inf,ymax=Inf,fill=bgfill3,alpha = bgalpha,colour = NA )+annotate("rect",xmin=8.5,xmax=12.5,ymin=-Inf,ymax=Inf,fill=bgfill4,alpha = bgalpha,colour = NA )+annotate("rect",xmin=12.5,xmax=13.5,ymin=-Inf,ymax=Inf,fill=bgfill5,alpha = bgalpha,colour = NA )+annotate("rect",xmin=13.5,xmax=17.5,ymin=-Inf,ymax=Inf,fill=bgfill6,alpha = bgalpha,colour = NA )+annotate("rect",xmin=17.5,xmax=18.5,ymin=-Inf,ymax=Inf,fill=bgfill7,alpha = bgalpha,colour = NA )+annotate("rect",xmin=18.5,xmax=22.5,ymin=-Inf,ymax=Inf,fill=bgfill8,alpha = bgalpha,colour = NA)+annotate("rect",xmin=22.5,xmax=26,ymin=-Inf,ymax=Inf,fill=bgfill9,alpha = bgalpha,colour = NA)+geom_ribbon(aes(x=dataCI2$Seconds, ymin=dataCI2$AOMin, ymax=dataCI2$AOMax, fill = I("gray33"), colour=NA),alpha=0.2)+geom_freqpoly(stat = "identity", size= 1)+scale_color_manual(values = colourscw)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw2)+geom_hline(yintercept=0, linetype="dotted")+theme_bw()+theme(axis.text.x=element_text(angle=45,size=12,hjust=1.1,vjust=.9))+theme(legend.position = "none")+ theme(legend.text=element_text(size=12))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=12))+theme(axis.title = element_text(size=12))+theme(plot.title = element_text(size = 20))+theme(plot.margin=unit(c(.5,.5,.5,.5),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())
# Plot4 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+geom_ribbon(aes(x=dataCI2$Seconds, ymin=dataCI2$AOMin, ymax=dataCI2$AOMax, fill = I("gray33"), colour=NA),alpha=0.2)+geom_freqpoly(stat = "identity", size= .5)+scale_color_manual(values = colourscw)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw2)+geom_hline(yintercept=0, linetype="dotted")+theme_bw()+theme(axis.text.x=element_text(angle=45,size=6,hjust=1.1,vjust=1.25))+theme(legend.position = "none")+ theme(legend.text=element_text(size=4))+ theme(legend.key.size = unit(.2, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=4))+theme(axis.title = element_text(size=4))+theme(plot.title = element_text(size = 6))+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+ggtitle(' ')
# 
# #Alpha Diameter Conditional
# dataCW = data[,c(1,29,33)]
# colnames(dataCW) = c("Seconds","Add-Zero","Add-One")
# dataCI = data[,c(1,35,36,31,32)]
# colnames(dataCI) = c("Seconds","AOMax","AOMin","AZMax","AZMin")
# dataCI = rbind(dataCI,dataCI)
# FreqCW = melt(dataCW, id = "Seconds")
# ylabcw3 = "Standardized Alpha Power"
# ylimcw = range(-1,1)
# colourscw1 = c("blue3","red3")
# ylabels = c('Wait', 'Wait','Instr','Instr','Instr','Wait','Wait','Wait','Hear','Hear','Hear','Hear','Wait','Recall','Recall','Recall','Recall','Wait','Recall','Recall','Recall','Recall','Wait','Wait','Wait','Wait');
# 
# #Plot5 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+annotate("rect",xmin=1,xmax=2.5,ymin=-Inf,ymax=Inf,alpha = .1,fill=bgfill1,colour = NA )+annotate("rect",xmin=2.5,xmax=5.5,ymin=-Inf,ymax=Inf,fill=bgfill2,alpha = bgalpha,colour = NA )+annotate("rect",xmin=5.5,xmax=8.5,ymin=-Inf,ymax=Inf,fill=bgfill3,alpha = bgalpha,colour = NA )+annotate("rect",xmin=8.5,xmax=12.5,ymin=-Inf,ymax=Inf,fill=bgfill4,alpha = bgalpha,colour = NA )+annotate("rect",xmin=12.5,xmax=13.5,ymin=-Inf,ymax=Inf,fill=bgfill5,alpha = bgalpha,colour = NA )+annotate("rect",xmin=13.5,xmax=17.5,ymin=-Inf,ymax=Inf,fill=bgfill6,alpha = bgalpha,colour = NA )+annotate("rect",xmin=17.5,xmax=18.5,ymin=-Inf,ymax=Inf,fill=bgfill7,alpha = bgalpha,colour = NA )+annotate("rect",xmin=18.5,xmax=22.5,ymin=-Inf,ymax=Inf,fill=bgfill8,alpha = bgalpha,colour = NA)+annotate("rect",xmin=22.5,xmax=26,ymin=-Inf,ymax=Inf,fill=bgfill9,alpha = bgalpha,colour = NA)+geom_freqpoly(stat = "identity", size= 1)+scale_color_manual(values = colourscw1)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw3)+theme_bw()+theme(axis.text.x=element_text(angle=45,size=12,hjust=1.1,vjust=.9))+theme(legend.position = c(0.85, 0.85))+ theme(legend.text=element_text(size=18))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=12))+theme(axis.title = element_text(size=12))+theme(plot.title = element_text(size = 20))+theme(plot.margin=unit(c(.5,.5,.5,.5),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA,size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5))
# Plot5 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+geom_freqpoly(stat = "identity", size= .5)+scale_color_manual(values = colourscw1)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw3)+theme_bw()+theme(axis.text.x=element_text(angle=45,size=6,hjust=1.1,vjust=1.25))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(legend.position = c(0.15, 0.15))+ theme(legend.text=element_text(size=4))+ theme(legend.key.size = unit(.2, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=4))+theme(axis.title = element_text(size=4))+theme(plot.title = element_text(size = 6,hjust=-.1))+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA,size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25))+ggtitle('B')
# 
# #Alpha Diameter Difference
# dataCW = data[,c(1,37)]
# dataCI3 = data[,c(1,39,40)]
# colnames(dataCI3) = c("Seconds","AOMax","AOMin")
# FreqCW = melt(dataCW, id = "Seconds")
# ylabcw3 = "Standardized Alpha Power"
# ylimcw = range(-1,1)
# colourscw = c("black")
# ylabels = c('Wait', 'Wait','Instr','Instr','Instr','Wait','Wait','Wait','Hear','Hear','Hear','Hear','Wait','Recall','Recall','Recall','Recall','Wait','Recall','Recall','Recall','Recall','Wait','Wait','Wait','Wait');
# 
# #Plot6 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+annotate("rect",xmin=1,xmax=2.5,ymin=-Inf,ymax=Inf,alpha = .1,fill=bgfill1,colour = NA )+annotate("rect",xmin=2.5,xmax=5.5,ymin=-Inf,ymax=Inf,fill=bgfill2,alpha = bgalpha,colour = NA )+annotate("rect",xmin=5.5,xmax=8.5,ymin=-Inf,ymax=Inf,fill=bgfill3,alpha = bgalpha,colour = NA )+annotate("rect",xmin=8.5,xmax=12.5,ymin=-Inf,ymax=Inf,fill=bgfill4,alpha = bgalpha,colour = NA )+annotate("rect",xmin=12.5,xmax=13.5,ymin=-Inf,ymax=Inf,fill=bgfill5,alpha = bgalpha,colour = NA )+annotate("rect",xmin=13.5,xmax=17.5,ymin=-Inf,ymax=Inf,fill=bgfill6,alpha = bgalpha,colour = NA )+annotate("rect",xmin=17.5,xmax=18.5,ymin=-Inf,ymax=Inf,fill=bgfill7,alpha = bgalpha,colour = NA )+annotate("rect",xmin=18.5,xmax=22.5,ymin=-Inf,ymax=Inf,fill=bgfill8,alpha = bgalpha,colour = NA)+annotate("rect",xmin=22.5,xmax=26,ymin=-Inf,ymax=Inf,fill=bgfill9,alpha = bgalpha,colour = NA)+geom_ribbon(aes(x=dataCI3$Seconds, ymin=dataCI3$AOMin, ymax=dataCI3$AOMax, fill = I("gray33"), colour=NA),alpha=0.2)+geom_freqpoly(stat = "identity", size= 1)+scale_color_manual(values = colourscw)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw3)+geom_hline(yintercept=0, linetype="dotted")+theme_bw()+theme(axis.text.x=element_text(angle=45,size=12,hjust=1.1,vjust=.9))+theme(legend.position = "none")+ theme(legend.text=element_text(size=12))+ theme(legend.key.size = unit(.6, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=12))+theme(axis.title = element_text(size=12))+theme(plot.title = element_text(size = 20))+theme(plot.margin=unit(c(.5,.5,.5,.5),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.5),axis.line.y = element_line(color="black", size = 0.5),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())
# Plot6 = ggplot(FreqCW, aes(x = Seconds, y = value, colour = variable, linetype =  variable))+geom_ribbon(aes(x=dataCI3$Seconds, ymin=dataCI3$AOMin, ymax=dataCI3$AOMax, fill = I("gray33"), colour=NA),alpha=0.2)+geom_freqpoly(stat = "identity", size= .5)+scale_color_manual(values = colourscw)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw)+scale_x_continuous(expand = c(0,0),breaks=c(1:26),labels=ylabels)+ylab(ylabcw3)+geom_hline(yintercept=0, linetype="dotted")+theme_bw()+theme(axis.text.x=element_text(angle=45,size=6,hjust=1.1,vjust=1.25))+theme(legend.position = "none")+ theme(legend.text=element_text(size=4))+ theme(legend.key.size = unit(.2, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=4))+theme(axis.title = element_text(size=4))+theme(plot.title = element_text(size = 6))+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),axis.title.x=element_blank(),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+ggtitle(' ')
###################################################################################################################

dataCW = data2[,c(1,2)]
dataCW$Frequency = 1:15
data2$Frequency = 1:15
dataMin = data2[,c(3,5,7)]
dataMax = data2[,c(4,6,7)]
dataMin = rbind(dataMin,dataMin)
dataMax = rbind(dataMax,dataMax)
colnames(dataCW) = c("Frontal","Parietal","Frequency")
FreqCW = melt(dataCW,measure = c("Frontal","Parietal"))
ylabcw4 = expression(paste("Amplitude (", mu, "V", ")",sep=""))
xlabcw4 = "Frequency (Hz)"
ylimcw4 = range(-.2,.2)
colourscw4 = c("red3","blue3")

#With CIs
#Fig3 = ggplot(FreqCW, aes(x = Frequency, y = value, colour = variable, linetype =  variable))+geom_ribbon(aes(x=dataMin$Frequency, ymin=dataMin$TMIN, ymax=dataMax$TMAX, fill = I("red3"), colour=NA),alpha=0.2)+geom_ribbon(aes(x=dataMin$Frequency, ymin=dataMin$AMIN, ymax=dataMax$AMAX, fill = I("blue3"), colour=NA),alpha=0.2)+ annotate("text", x = 2.5, y = .19, size = 3, label = "Type 2")+ annotate("text", x = 2.5, y = -.19, size = 3, label = "Type 1")+geom_freqpoly(stat = "identity", size= .5)+geom_point()+scale_color_manual(values = colourscw4)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw4)+scale_x_continuous(expand = c(0,0),breaks=c(1:15))+ylab(ylabcw4)+xlab(xlabcw4)+theme_bw()+theme(axis.text.x=element_text(size=8))+theme(axis.title.y = element_text(margin = margin(r=2)),axis.title.x = element_text(margin = margin(t=4)))+theme(legend.position = c(0.7, 0.85))+ theme(legend.text=element_text(size=8))+ theme(legend.key.size = unit(.5, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=8))+theme(axis.title = element_text(size=10))+theme(plot.title = element_text(size = 12,hjust=-.1))+theme(plot.margin=unit(c(.2,.2,.2,.2),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA,size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25))+geom_hline(yintercept=0, linetype="dotted")

#Without CIs
Fig3 = ggplot(FreqCW, aes(x = Frequency, y = value, colour = variable, linetype =  variable))+ annotate("text", x = 2.5, y = .19, size = 3, label = "Type 2")+ annotate("text", x = 2.5, y = -.19, size = 3, label = "Type 1")+geom_freqpoly(stat = "identity", size= .5)+geom_point()+scale_color_manual(values = colourscw4)+scale_linetype_manual(values = linetypecw)+scale_y_continuous(expand = c(0, 0))+coord_cartesian(ylim = ylimcw4)+scale_x_continuous(expand = c(0,0),breaks=c(1:15))+ylab(ylabcw4)+xlab(xlabcw4)+theme_bw()+theme(axis.text.x=element_text(size=8))+theme(axis.title.y = element_text(margin = margin(r=2)),axis.title.x = element_text(margin = margin(t=4)))+theme(legend.position = c(0.7, 0.85))+ theme(legend.text=element_text(size=8))+ theme(legend.key.size = unit(.5, "cm"))+ theme(legend.key = element_rect(colour = FALSE))+ theme(legend.title=element_blank())+theme(axis.text = element_text(size=8))+theme(axis.title = element_text(size=10))+theme(plot.title = element_text(size = 12,hjust=-.1))+theme(plot.margin=unit(c(.2,.2,.2,.2),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank())+theme(legend.key = element_rect(fill = NA))+theme(legend.background = element_rect(fill=NA,size=0.5, linetype="solid"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25))+geom_hline(yintercept=0, linetype="dotted")

###################################################################################################################

#theplots <- arrangeGrob(Plot1, Plot2, Plot3, Plot4, Plot5, Plot6, ncol=2)
#grid.arrange(Plot1, Plot2, Plot3, Plot4, Plot5, Plot6, ncol = 2)  
#ggsave(plot = theplots, filename = "Figure 2. Line Plots.jpeg", width = 19.62, height = 13.08, dpi = 400)

###################################################################################################################

###SCATTERPLOTS###

###################################################################################################################
sgroupylab = "Pupil Area"
sgroupxlab = "Theta"
regcolour = 'red3'
sgroupylim = c(-1,3)
sgroupxlim = c(-.15,.2)

#Plot Data
SPlot1 = ggplot(data, aes(x=TAD, y=AD))+geom_point(shape = 20, size = .5, color = 'blue3') +geom_smooth(method=lm, se = FALSE, color = regcolour, size = 0.5) +scale_y_continuous(expand = c(0,0))+scale_x_continuous(breaks = round(seq(min(-.2), max(.2), by = .05),1),expand = c(0,0))+coord_cartesian(ylim = sgroupylim, xlim = sgroupxlim) +xlab(sgroupxlab)+ylab(sgroupylab)+theme(plot.margin=unit(c(.1,.1,.1,.1),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank(),legend.title=element_blank())+theme(axis.text.x=element_text(size=4),axis.text.y=element_text(size=4))+theme(axis.title = element_text(size=4))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(plot.title = element_text(size = 4,hjust=-.15))+ggtitle('A')

sgroupylab = "Pupil Area"
sgroupxlab = "Alpha"
sgroupylim = c(-1,3)
sgroupxlim = c(-.2,.1)
SPlot2 = ggplot(data, aes(x=AAD, y=AD))+geom_point(shape = 20, size = .5, color = 'blue3') +geom_smooth(method=lm, se = FALSE, color = regcolour, size = 0.5) +scale_y_continuous(expand = c(0,0))+scale_x_continuous(breaks = round(seq(min(-.2), max(.1), by = .05),1),expand = c(0,0))+coord_cartesian(ylim = sgroupylim, xlim = sgroupxlim) +xlab(sgroupxlab)+ylab(sgroupylab)+theme(plot.margin=unit(c(.1,.1,.02,.1),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank(),legend.title=element_blank())+theme(axis.text.x=element_text(size=4),axis.text.y=element_text(size=4))+theme(axis.title = element_text(size=4))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(plot.title = element_text(size = 4,hjust=-.15))+ggtitle('B')

sgroupylab = "Theta"
sgroupxlab = "Alpha"
sgroupylim = c(-.15,.2)
sgroupxlim = c(-.2,.1)
SPlot3 = ggplot(data, aes(x=AAD, y=TAD))+geom_point(shape = 20, size = .5,color = 'blue3') +geom_smooth(method=lm, se = FALSE, color = regcolour, size = 0.5) +scale_y_continuous(expand = c(0,0))+scale_x_continuous(breaks = round(seq(min(-.2), max(.1), by = .05),1),expand = c(0,0))+coord_cartesian(ylim = sgroupylim, xlim = sgroupxlim) +xlab(sgroupxlab)+ylab(sgroupylab)+theme(plot.margin=unit(c(.1,.1,.02,.1),"cm"))+theme(axis.line.x = element_line(color="black", size = 0.25),axis.line.y = element_line(color="black", size = 0.25),axis.ticks = element_line(colour = "black", size = .25),panel.grid.major = element_blank(),panel.grid.minor = element_blank(),panel.background = element_blank(),panel.border = element_blank(),legend.title=element_blank())+theme(axis.text.x=element_text(size=4),axis.text.y=element_text(size=4))+theme(axis.title = element_text(size=4))+theme(axis.title.y = element_text(margin = margin(r=1)))+theme(plot.title = element_text(size = 4,hjust=-.15))+ggtitle('C')

splots <- arrangeGrob(SPlot1, SPlot2, SPlot3, ncol=3)
grid.arrange(SPlot1, SPlot2, SPlot3, ncol=3)  
#ggsave(plot = splots, filename = "Figure 3. Scatter Plots.jpeg", width = 19.62, height = 4.36, dpi = 400)

cor.test(data$AD,data$TAD)
cor.test(data$AD,data$AAD)
cor.test(data$AAD,data$TAD)

###################################################################################################################

###SAVING IMAGES###

###################################################################################################################

### Manuscript Figures ###

#FIGURE1
fplots <- arrangeGrob(Plot1, ncol = 1)
grid.arrange(Plot1, ncol = 1)  
ggsave(plot = fplots, filename = "Figure 1. Pupil Area.jpeg", width = 3.11462, height = 3.11462, dpi = 300)

#FIGURE3
# fplots2 <- arrangeGrob(Plot3,Plot4,Plot5,Plot6, ncol = 2)
# grid.arrange(Plot3,Plot4,Plot5,Plot6, ncol = 2)  
ggsave(plot = Fig3, filename = "Figure 3. Frequency Results.jpeg", width = 3.50394, height = 3, dpi = 300)

#FIGURE4
splots <- arrangeGrob(SPlot1, SPlot2, SPlot3, ncol=3)
grid.arrange(SPlot1, SPlot2, SPlot3, ncol=3)  
ggsave(plot = splots, filename = "Figure 4. Scatter Plots.jpeg", width = 3.50394, height = 1.16798, dpi = 300)